## exec_lcinit

This command is only relevant in connection with SAP applications.

### Use

You start the liveCache initialization script, which is stored on the database computer, from the Database Manager. You can specify an option with this DBM command that is passed to the liveCache initialization script by the Database Manager.

The output from the liveCache initialization script is displayed by the Database Manager CLI.

See also:

Glossary, liveCache (SAP liveCache Technology)

### Prerequisites

You have the server authorization SystemCmd.

### Syntax

exec_lcinit [<option>]

<option>:: = init | register | restart | slow | stop | shutdown

Options

Option | Description
init | The liveCache instance is initialized
register | The liveCache libraries are reloaded If necessary, the liveCache instance is transferred to the ONLINE operational state.
restart | System default if you do not specify an option The liveCache instance is restarted.
slow | The kernel variant slow is started.
stop | The DBM command db_stop is executed.
shutdown | The DBM command db_offline is executed.

### Reply

OK

<return_code>,<description>)

<pgm_code>,<command>

<command_output_lines>

Values for the Reply Fields

Value | Description
<return_code> | Return code of the Database Manager If the value is 0, the DBM command has been executed successfully. For any other value see: Messages
<description> | Message short text
<pgm_code> | Return value of the liveCache initialization script
<command> | Executed command line
<command_output_lines> | Output text of the program